# Uses of Class
org.apache.sling.scriptingbundle.plugin.capability.RequiredResourceTypeCapability.Builder

Packages that use RequiredResourceTypeCapability.Builder
Package
Description
org.apache.sling.scriptingbundle.plugin.capability

## Uses of RequiredResourceTypeCapability.Builder in org.apache.sling.scriptingbundle.plugin.capability

Methods in org.apache.sling.scriptingbundle.plugin.capability that return RequiredResourceTypeCapability.Builder
Modifier and Type
Method
Description
`static RequiredResourceTypeCapability.Builder`
RequiredResourceTypeCapability.`builder()`
`RequiredResourceTypeCapability.Builder`
RequiredResourceTypeCapability.Builder.`withIsOptional()`
`RequiredResourceTypeCapability.Builder`
RequiredResourceTypeCapability.Builder.`withResourceType(String resourceType)`
`RequiredResourceTypeCapability.Builder`
RequiredResourceTypeCapability.Builder.`withVersionRange(org.osgi.framework.VersionRange versionRange)`